edu.sc.seis.sod.source.network

## Class WinstonNetworkSource

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.source.AbstractCSVSource
    - - edu.sc.seis.sod.source.network.CSVNetworkSource
      - - edu.sc.seis.sod.source.network.WinstonNetworkSource

- All Implemented Interfaces:
    NetworkSource, Source

      public class WinstonNetworkSource
      extends CSVNetworkSource

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.source.network.CSVNetworkSource

      `AZIMUTH, channels, CODE, COMMENT, DESCRIPTION, DIP, END, NET_CODE, NET_END, NET_START, networks, OPERATOR, SAMPLE_FREQUENCY, SAMPLE_PERIOD, SITE_CODE, START, STATION_CODE, stations`

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractCSVSource

      `csvFilename, DEFAULT_END, DEFAULT_TIME, DEPTH, DEPTH_UNITS, ELEVATION, ELEVATION_UNITS, FE_GEO_REGION, FE_REGION, FE_REGION_TYPE, FE_SEIS_REGION, LATITUDE, LONGITUDE, NAME, UNKNOWN`

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinstonNetworkSource(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `edu.sc.seis.seisFile.waveserver.WaveServer` | `getWaveServer()`
    `protected void` | `initChannels(org.w3c.dom.Element config)`

    - ### Methods inherited from class edu.sc.seis.sod.source.network.CSVNetworkSource

      `getChannels, getChannelsFromReader, getDescription, getFields, getInstrumentation, getName, getNetwork, getNetworkByName, getNetworks, getNetworksFromStations, getRefreshInterval, getSensitivity, getStationForChannel, getStations, getStationsFromReader, initStations, setConstraints, toString`

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractCSVSource

      `concatenateValidFields, isValidField, loadDouble, loadFloat, loadString, loadTime, loadUnit, validateHeaders`

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.source.network.NetworkSource

      `getRetries, getRetryStrategy`

    - ### Methods inherited from interface edu.sc.seis.sod.source.Source

      `appendToName`

- - ### Constructor Detail

    - #### WinstonNetworkSource

          public WinstonNetworkSource(org.w3c.dom.Element config)
                               throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### initChannels

          protected void initChannels(org.w3c.dom.Element config)
                               throws ConfigurationException

      Overrides:
        `initChannels` in class `CSVNetworkSource`
      Throws:
        `ConfigurationException`

    - #### getWaveServer

          public edu.sc.seis.seisFile.waveserver.WaveServer getWaveServer()